Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: REQUIRED | OPTIONAL | DETAIL: ELEMENT

## org.springframework.stereotype
Annotation Type Service

    @Target(value=TYPE)
    @Retention(value=RUNTIME)
    @Documented
    @Component
    public @interface Service

Indicates that an annotated class is a "Service" (e.g. a business service facade).

This annotation serves as a specialization of `@Component`, allowing for implementation classes to be autodetected through classpath scanning.

Since:
  2.5
Author:
  Juergen Hoeller
See Also:
  `Component`, `ClassPathBeanDefinitionScanner`

Optional Element Summary
`String` | `value` The value may indicate a suggestion for a logical component name, to be turned into a Spring bean in case of an autodetected component.

### value

    public abstract String value

  The value may indicate a suggestion for a logical component name, to be turned into a Spring bean in case of an autodetected component.

  Returns:
    the suggested component name, if any
  Default:
    ""

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: REQUIRED | OPTIONAL | DETAIL: ELEMENT